#
# Conditional build:
%bcond_with	tests	# perform "make test" (opens /dev/mixer)

%define		pdir	Audio
%define		pnam	Mixer
%include	/usr/lib/rpm/macros.perl
Summary:	Audio::Mixer - Perl extension for sound mixer control
Summary(pl.UTF-8):	Audio::Mixer - rozszerzenie Perla do sterowania mikserem dźwięku
Name:		perl-Audio-Mixer
Version:	0.7
Release:	15
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5aaa808a4852ed68f952705172ece2a8
URL:		http://search.cpan.org/dist/Audio-Mixer/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is just a very simple Perl interface which allows to set various
sound mixer parameters. The most important probably 'vol' (volume).
The list of all mixer parameters can be obtained using
get_mixer_params() function.

%description -l pl.UTF-8
To jest bardzo prosty perlowy interfejs, pozwalający na ustawianie
różnych parametrów miksera dźwięku. Prawdopodobnie najważniejszym jest
'vol' (głośność). Listę wszystkich parametrów miksera można odczytać
funkcją get_mixer_params().

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{perl_vendorarch}/Audio/volume.pl
%{perl_vendorarch}/Audio/Mixer.pm
%dir %{perl_vendorarch}/auto/Audio/Mixer
%{perl_vendorarch}/auto/Audio/Mixer/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Audio/Mixer/*.so
%{_mandir}/man3/*
%changelog
* Wed Dec 04 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Audio-Mixer.git;a=log;h=master

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 7465444
- rebuild with perl 5.30.0
- release 15 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 8ced1f4
- rebuild with perl 5.28.0
- release 14 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> ceb1f47
- perl req/prov fix
- release 13 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> cede789
- rebuild with perl 5.26
- release 12 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> c281021
- rebuild with perl 5.24.0
- release 11 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 56986a6
- release 10 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> b500fa5
- x32 rebuild
- release 9 (by relup.sh)

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> 2027935
- use generic url

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 97cf097
- release 8 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 62fc236
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> ff0a07f
- rebuild for perl 5.20
- release 7 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> d650234
- rebuild with perl 5.18.0
- release 6 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 71c5aec
- release 5

* Sat Feb 23 2008 Elan Ruusamäe <glen@pld-linux.org> a67c581
- release 4

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b4d5fd1
- rel 3

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 55072fc
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 496763a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2d179dd
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> a3cc2a1
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> ad175d7
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

